import fs from 'fs';
import path from 'path';

const currentPath = process.cwd();
const packagePath = path.join(currentPath, 'script/package/package.json');

fs.writeFileSync(
  packagePath,
  JSON.stringify(
    {
      name: 'codeflow',
      version: '1.0.0',
      devDependencies: {
        '@babel/core': '^7.24.7',
        '@babel/preset-env': '^7.24.7',
        '@babel/preset-typescript': '^7.24.7',
        sequelize: '^6.37.3',
        'socket.io': '^4.7.5',
        pg: '^8.12.0',
      },
    },
    null,
    2,
  ),
  'utf-8',
);
