import { app } from '../app.ts';

new app.Route('admin', 'getRouteList')
  .define(async (ctx) => {
    const list = app.router.getList();
    // ctx.body = list.filter((r) => !r.path.startsWith('admin'));
    ctx.body = list.map((r) => {
      return {
        path: r.path,
        key: r.key,
      };
    });
    return ctx;
  })
  .addTo(app);
